%define major   0
%define gmajor  1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname -d %{name}

Name:           accountsservice
Version:        0.6.34
Release:        %mkrel 2
Summary:        D-Bus interfaces for querying and manipulating user account information
Group:          System/Libraries
License:        GPLv3+
URL:            http://www.fedoraproject.org/wiki/Features/UserAccountDialog
#VCS: git:git://git.freedesktop.org/accountsservice
Source0:        http://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
Patch0:         accountsservice-0.6.34-filter-bin-true-login-shell-users-from-user-list.patch
BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(libsystemd-login) >= 43
BuildRequires:  pkgconfig(libsystemd-daemon)
# For autoreconf
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-devel

Requires(post):         rpm-helper >= 0.24.8-1
Requires(preun):        rpm-helper >= 0.24.8-1

Requires:       polkit
Requires:       shadow-utils

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%files -f accounts-service.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
%{_unitdir}/accounts-daemon.service

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Client-side library to talk to accountservice
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{libname} < 0.6.21-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/AccountsService-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for accountsservice-libs
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files -n %{devname}
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-%{gmajor}.gir
%{_datadir}/gtk-doc/html/libaccountsservice
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --disable-static \
        --enable-systemd \
        --with-systemdsystemunitdir=%{_unitdir}
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang accounts-service


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.34-2.mga4
+ Revision: 528164
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 blino <blino> 0.6.34-1.mga4
+ Revision: 443610
- buildrequire vala-devel
- 0.6.34
- rediff patch0
- package vala files in devel package

* Sat May 25 2013 shlomif <shlomif> 0.6.32-1.mga4
+ Revision: 426907
- New version 0.6.32
- Retab and trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.6.30-3.mga3
+ Revision: 345221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 0.6.30-2.mga3
+ Revision: 333959
- add patch to filter also users with /bin/true login shell from users list (mga#7968)

* Sat Dec 22 2012 wally <wally> 0.6.30-1.mga3
+ Revision: 333807
- new version 0.6.30

* Wed Nov 28 2012 fwang <fwang> 0.6.29-1.mga3
+ Revision: 322489
- add doc files
- autoconf does not needed
- new version 0.6.29

* Fri Oct 19 2012 ovitters <ovitters> 0.6.25-2.mga3
+ Revision: 308215
- drop consolekit dependency

* Tue Sep 25 2012 ovitters <ovitters> 0.6.25-1.mga3
+ Revision: 297819
- new version 0.6.25

* Thu Sep 13 2012 fwang <fwang> 0.6.24-1.mga3
+ Revision: 293634
- new version 0.6.24

* Fri Jun 29 2012 wally <wally> 0.6.22-1.mga3
+ Revision: 264882
- new version 0.6.22, fixes local file disclosure flaw (CVE-2012-2737)
- drop patches from upstream

* Wed Jun 27 2012 wally <wally> 0.6.21-2.mga3
+ Revision: 264462
- add patches from upstream git
- create a subpackage for gir typelib
- unconditionally build against systemd
- clean .spec

* Tue May 29 2012 ovitters <ovitters> 0.6.21-1.mga3
+ Revision: 249217
- new version 0.6.21

* Sat Apr 28 2012 tmb <tmb> 0.6.14-2.mga2
+ Revision: 234136
- ensure build and install of systemd support
- BR gettext
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for rpm-helper requires

* Tue Sep 06 2011 tv <tv> 0.6.14-1.mga2
+ Revision: 139160
- new release
- new URL
- use xz sources

* Sat Jul 16 2011 cjw <cjw> 0.6.12-2.mga2
+ Revision: 124716
- enable systemd support

* Thu Jun 16 2011 dmorgan <dmorgan> 0.6.12-1.mga2
+ Revision: 108301
- Fix polkit buildrequire
- imported package accountsservice


* Mon Jun 06 2011 Ray Strode <rstrode@redhat.com> 0.6.12-1
- Update to latest release

* Wed May 18 2011 Matthias Clasen <mclasen@redhat.com> 0.6.11-1
- Update to 0.6.11

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Ray Strode <rstrode@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Jan 27 2011 Matthias Clasen <mclasen@redhat.com> 0.6.2-1
- Update to 0.6.2

* Wed Jul 21 2010 Matthias Clasen <mclasen@redhat.com> 0.6.1-1
- Update to 0.6.1
- Install systemd unit file

* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Always emit changed signal on icon change

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> 0.6-1
- Update to 0.6

* Mon Mar 22 2010 Matthias Clasen <mclasen@redhat.com> 0.5-1
- Update to 0.5

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-3
- Fix directory ownership

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-2
- Add missing directories to the filelist

* Fri Jan 29 2010 Matthias Clasen <mclasen@redhat.com> 0.4-1
- Initial packaging, based on work by Richard Hughes
